#!/bin/sh
# COPYRIGHT LICENSE: 
# This information contains sample code provided in source code form. You may 
# copy, modify, and distribute these sample programs in any form without 
# payment to IBM for the purposes of developing, using, marketing or 
# distributing application programs conforming to the application programming
# interface for the operating platform for which the sample code is written. 
# Notwithstanding anything to the contrary, IBM PROVIDES THE SAMPLE SOURCE CODE
# ON AN "AS IS" BASIS AND IBM DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, 
# INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OR CONDITIONS OF 
# MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A PARTICULAR PURPOSE, 
# TITLE, AND ANY WARRANTY OR CONDITION OF NON-INFRINGEMENT. IBM SHALL NOT BE 
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OR OPERATION OF THE SAMPLE SOURCE CODE. IBM HAS NO 
# OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS OR 
# MODIFICATIONS TO THE SAMPLE SOURCE CODE.

# Set up environment
SCRIPTS_DIR=`dirname $0`
cd "${SCRIPTS_DIR}"
. ./setupSamp.sh $*
if [ $? -eq 1 ]  
then       
  return 1   
fi 

# Test if the JAX-WS Sample is installed
if [[ ! -d "${CONFIG_ROOT}/cells/${WAS_CELL}/applications/JaxWSServicesSamples.ear" ]]
then
  echo ""
  echo ERROR: The JAX-WS Sample Application EAR file is not installed
  echo to ${USER_INSTALL_ROOT} ${WAS_CELL} ${WAS_NODE}
  return 1
fi

# Extract the files from the zip
if [ "${ZIPFILE}" != "" ] 
then
  cd "${CONFIG_ROOT}/cells/${WAS_CELL}"
  "$JAVA_HOME/bin/jar" -xf "${SAMPLES_HOME}/installableApps/${ZIPFILE}"
fi

# Call bindings.py
"${WAS_HOME}/bin/wsadmin.sh" ${PROFOPT} -lang jython -f "${SAMPLES_HOME}/scripts/bindings.py" attach "${WAS_POLICY}" ${WAS_NODE} ${WAS_CELL} ${WAS_SERVER} ${SAVEDPARMS}
if [ $? -ne 0 ]
then
  return 1
fi

return 0
